Bug 104024 - Textmode DHCP-DNS information bug
Textmode DHCP-DNS information bug
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
probably FC2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 23:09 EDT by Kevin Arima
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 15:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Arima 2003-09-08 23:09:58 EDT
Description of problem:
After starting install with linux askmethod, I had the text-mode setup get the 
IP information from the DHCP server.  I then went back and manually edited the 
gateway and the DNS server.  Regardless of what I did, it "remembered" the DHCP 
server IP address, and refused to change it.

Version-Release number of selected component (if applicable):


How reproducible:
Once but repeatable

Steps to Reproduce:
1. Start install by using linux askmethod
2. Choose HTTP install
3. Obtain IP address from DHCP server
4. When asked to provide server and location, go back and attempt to change the 
DNS information manually.
    
Actual results:
Regardless of the changes to the DNS server IP, it "remembered" the old values.

Expected results:
Change the DNS information to what the user input.

Additional info:
Comment 1 Jeremy Katz 2003-10-21 19:19:26 EDT
Hmm, I have a fix to this, but it seems to cause name resolution afterwards to
fail.  Putting it here so that I don't forget what I tried.

Index: loader2//net.c
===================================================================
RCS file: /cvs/devel/anaconda/loader2/net.c,v
retrieving revision 1.30
diff -u -u -r1.30 net.c
--- loader2//net.c      20 Sep 2003 03:31:30 -0000      1.30
+++ loader2//net.c      21 Oct 2003 23:18:43 -0000
@@ -526,11 +526,9 @@
         }
     }
  
-    if (!(cfg->dev.numDns)) {
-        if (c.ns && *c.ns && inet_aton(c.ns, &addr)) {
-            cfg->dev.dnsServers[0] = addr;
-            cfg->dev.numDns = 1;
-        }
+    if (c.ns && *c.ns && inet_aton(c.ns, &addr)) {
+        cfg->dev.dnsServers[0] = addr;
+        if (cfg->dev.numDns == 0) cfg->dev.numDns = 1;
     }
  
     newtPopWindow();
Comment 2 Jeremy Katz 2004-01-06 17:53:01 EST
Committed a slightly different fix to CVS
Comment 3 Jeremy Katz 2006-04-24 15:04:42 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.